### org.jfree.layouting.input.style.parser

# Interface CSSCompoundValueReadHandler

Known Implementing Classes:
  AbstractCompoundValueReadHandler, BackgroundReadHandler, BorderBottomReadHandler, BorderBreakReadHandler, BorderColorReadHandler, BorderLeftReadHandler, BorderRadiusReadHandler, BorderReadHandler, BorderRightReadHandler, BorderStyleReadHandler, BorderTopReadHandler, BorderWidthReadHandler, ColumnRuleReadHandler, ColumnRuleStyleReadHandler, ColumnRuleWidthReadHandler, DisplayReadHandler, FontEmphasizeReadHandler, FontReadHandler, LetterSpacingLimitReadHandler, LineGridReadHandler, LineStackingReadHandler, ListStyleReadHandler, MarginReadHandler, OverflowReadHandler, PaddingReadHandler, SpacingLimitReadHandler, TargetReadHandler, TextDecorationReadHandler, TextDecorationWidthReadHandler, TextLineThroughReadHandler, TextOverflowReadHandler, TextOverlineReadHandler, TextUnderlineReadHandler, VerticalAlignReadHandler, WhitespaceReadHandler, WordSpacingLimitReadHandler, WritingModeReadHandler

`public interface CSSCompoundValueReadHandler`

Creation-Date: 26.11.2005, 19:45:45

Author:
  Thomas Morgner

  ## Method Summary

  `Map`

  `createValues(LexicalUnit unit)`
    Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.

  `StyleKey[]`

  `getAffectedKeys()`

## Method Details

### createValues

    public Map createValues(LexicalUnit unit)

> Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.
> Parameters:
>   `unit` -
> Returns:

### getAffectedKeys

    public StyleKey[] getAffectedKeys()